Arduino

Reference Language | Libraries | Comparison | Changes

SD : File class

## available()

Check if there are any bytes available for reading from the file.

available() inherits from the Stream utility class.

#### Syntax

file.available()

#### Parameters

file: an instance of the File class (returned by SD.open())

#### Returns

the number of bytes available (int)

#### See Also

- read()
- peek()
- Stream.available()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes